> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdupload.md).

# Table$upload

### Table$<mark style="color:purple;">upload</mark>(*name=NULL*) → [Upload](/api/client-libraries/redivis-r/reference/upload.md)

Construct a new [upload instance](/api/client-libraries/redivis-r/reference/upload.md), scoped to this table. This upload reference can be used to create a new tabular upload (on an unreleased table), or get the properties of a previously created upload.

### **Parameters:**

**`name` :&#x20;*****str, default NULL***\
The name of the upload. When creating new uploads, the name is optional, and will default to the name of the file being upload (for non-file uploads, the default name will be set to the current timestamp).

### **Returns:**&#x20;

[**Upload**](/api/client-libraries/redivis-r/reference/upload.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdupload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
